package de.intevation.flys.client.client.ui.map;

import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.layout.HLayout;

import de.intevation.flys.client.shared.model.Collection;
import de.intevation.flys.client.shared.model.OutputMode;

import de.intevation.flys.client.client.ui.CollectionView;
import de.intevation.flys.client.client.ui.OutputTab;


public class MapOutputTab extends OutputTab {

    protected CollectionView parent;

    protected Canvas themePanel;
    protected Canvas mapPanel;


    public MapOutputTab(
        String         title,
        Collection     collection,
        OutputMode     mode,
        CollectionView collectionView
    ){
        super(title, collection, mode);
        this.parent = collectionView;

        initLayout();
    }


    protected void initLayout() {
        themePanel = createThemePanel();
        mapPanel   = createMapPanel();

        HLayout layout = new HLayout();
        layout.setWidth100();
        layout.setHeight100();
        layout.addMember(themePanel);
        layout.addMember(mapPanel);

        setPane(layout);
    }


    protected Canvas createThemePanel() {
        Canvas c = new Canvas();
        c.setWidth(200);
        c.setHeight100();
        c.setBorder("1px solid blue");

        return c;
    }


    protected Canvas createMapPanel() {
        Canvas c = new Canvas();
        c.setWidth("*");
        c.setHeight100();
        c.setBorder("1px solid green");

        return c;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
